# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

require 'facter'
require 'etc'
#
# Determine incorrect configured host keys
#
Facter.add('contains_sudo_nopasswd_rules') do
  confine kernel: 'Linux'

  setcode do
    Facter::Core::Execution.execute('grep -r "^[^#].*NOPASSWD" /etc/sudoers*').split("\n").collect {|e| e.split(':')[0]}
  end
end

