#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

require 'facter'
#
# Determine if IP6 is enabled
#
Facter.add('ip6_enabled') do
  confine kernel: 'Linux'

  setcode do
    Facter::Core::Execution.execute('ip -6 addr') != ''
  end
end
