# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

require 'facter'
require 'etc'

# Determine users 

Facter.add('system_accounts_with_usable_password') do
  confine kernel: 'Linux'

  setcode do
    Facter::Core::Execution.execute(%q(awk -F: '($1!="root" && $1!~/^\+/ && $3<'"$(awk '/^\s*UID_MIN/{print $2}' /etc/login.defs)"') {print $1}' /etc/passwd | xargs -I '{}' passwd -S '{}' | awk '($2!="L" && $2!="LK") {print $1}')).split
  end
end
