#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

require 'facter'
#
# Determine if IP6 is enabled
#
Facter.add('uid_min') do
  confine kernel: 'Linux'

  setcode do
    Facter::Core::Execution.execute("awk '/^\\s*UID_MIN/{print $2}' /etc/login.defs").to_i
  end
end
