# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true


Facter.add('users_without_password') do
  confine kernel: 'Linux'

  setcode do
    Facter::Core::Execution.execute("awk -F: '(\$2 == \"\" ) { print \$1 }' /etc/shadow").split
  end
end

